From - Mon May 29 10:18:18 2000
Return-Path: <leland@taranta.discpro.org>
Delivered-To: kdebisschop@debisschop.net
Received: from taranta.discpro.org (taranta.discpro.org [213.193.5.4])
	by debisschop.net (Postfix) with ESMTP id 5205E4F164
	for <karl@debisschop.net>; Mon, 29 May 2000 09:46:53 -0400 (EDT)
Received: from taranta.discpro.org (leland@localhost [127.0.0.1])
	by taranta.discpro.org (8.9.0/8.9.0+RBL) with ESMTP id NAA27758;
	Mon, 29 May 2000 13:51:18 GMT
Sender: leland@taranta.discpro.org
Message-ID: <393275D5.618CA4CE@taranta.discpro.org>
Date: Mon, 29 May 2000 13:51:17 +0000
From: "Leland E. Vandervort" <leland@taranta.discpro.org>
Reply-To: leland@taranta.discpro.org
Organization: InternationalJetSetBungeeJumpingCountryHoppingTravellers Club
X-Mailer: Mozilla 4.7 [en] (X11; I; Linux 2.2.12 i586)
X-Accept-Language: fr-FR,fr-CA,ru
MIME-Version: 1.0
To: karl@debisschop.net
Subject: cisco temperature plugin (netsaint)
Content-Type: multipart/mixed;
 boundary="------------3605BBB6389A2A9A8B2FCFD2"

This is a multi-part message in MIME format.
--------------3605BBB6389A2A9A8B2FCFD2
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hi Karl,

Thanks for your quick response.

Please find the plugin attached... if you have trouble
with the attachment, you can also find it at
http://www2.discpro.org/check_ciscotemp.pl

Regards,

Leland


-- 
---------------------------------------------------------------------
Leland E. Vandervort                       | Directeur, Operations
leland@discpro.org                         |   Reseau, MultiMania
leland@mmania.com                          |Network Operations Director 
http://www2.discpro.org/                   | http://www.multimania.fr/
CCNA, CCDA                                 |   +33 (0)1 53 35 02 55
---------------------------------------------------------------------
--------------3605BBB6389A2A9A8B2FCFD2
Content-Type: application/x-perl;
 name="check_ciscotemp.pl"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="check_ciscotemp.pl"

#!/usr/bin/perl -wT
# check_ciscotemp.pl
# 
# Copyright (C) 2000  Leland E. Vandervort <leland@mmania.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# you should have received a copy of the GNU General Public License
# along with this program (or with Netsaint);  if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
# Boston, MA 02111-1307, USA
####################################
# Netsaint pluging to check inlet and outlet temperatures on 
# Cisco router platforms which support environmental monitoring
# (7200, 7500, GSR12000...)
####################################
# default temperature thresholds are 30C for inlet, 40C outlet.
# if input or output is less than thresholds, returns OK
# if equal to (the temps don't change that rapidly) returns WARNING
# if greater than threshold, returns CRITICAL
# if undetermined, or cannot access environmental, returns UNKNOWN
# (in accordance with the plugin coding guidelines)
####################################

use Net::SNMP;
use Getopt::Long;
&Getopt::Long::config('auto_abbrev');

my $status;
my $response = "";
my $TIMEOUT = 10;
my $community = "public";
my $port = 161;
my $INTAKE_TEMP = "1.3.6.1.4.1.9.9.13.1.3.1.3.1";
my $OUTLET_TEMP = "1.3.6.1.4.1.9.9.13.1.3.1.3.3";
my $in_temp;
my $out_temp;
my $inlet_thresh = 30;
my $outlet_thresh = 40;

my %STATUSCODE = (  'UNKNOWN' => '-1',
                    'OK' => '0',
                    'WARNING' => '1',
                    'CRITICAL' => '2');

my $state = "UNKNOWN";


$SIG{'ALRM'} = sub {
    print "ERROR: No snmp response from $hostname (sigALRM)\n";
    exit($STATUSCODE{"UNKNOWN"});
};

alarm($TIMEOUT);                    

sub show_help {
    printf("\nPerl envmon temperature plugin for NetSaint\n");
    printf("Usage:\n");
    printf("
  check_ciscotemp [options] <hostname>
  Options:
    -c snmp-community
    -p snmp-port
    -i input temperature threshold
    -o output temperature threshold


");
    printf("Copyright (C)2000 Leland E. Vandervort\n");
    printf("check_ciscotemp comes with absolutely NO WARRANTY either implied or explicit\n");
    printf("This program is licensed under the terms of the\n");
    printf("GNU General Public License\n(check source code for details)\n\n\n");
    exit($STATUSCODE{"UNKNOWN"});
}
 

$status = GetOptions( "community=s", \$community,
                      "port=i",      \$port ,
                      "ithresh=i",   \$inlet_thresh,
                      "othresh=i",   \$outlet_thresh);
                     
if($status == 0) {
    &show_help;
}

sub SNMPGET {
    $OID = shift;
    ($session,$error) = Net::SNMP->session(
        Hostname        =>      $hostname,
        Community       =>      $community,
        Port            =>      $port
        );
    if(!defined($session)) {
        printf("$state %s\n", $error);
        exit($STATUSCODE{$state});
    }
    if(!defined($response = $session->get_request($OID))) {
        printf("$state %s\n", $session->error());
        $session->close();
	exit($STATUSCODE{$state});
    }
    $session->close();
    return($response->{$OID});
}

$hostname = shift || &show_help;

$in_temp = &SNMPGET($INTAKE_TEMP);
$out_temp = &SNMPGET($OUTLET_TEMP);

if (($in_temp < $inlet_thresh) && ($out_temp < $outlet_thresh)) {
    $state = "OK";
}
elsif (($in_temp == $inlet_thresh) || ($out_temp == $outlet_thresh)) {
    if(($in_temp > $inlet_thresh) || ($out_temp > $outlet_thresh)) {
        $state = "CRITICAL";
    }
    else {
        $state = "WARNING";
    }
}
elsif (($in_temp > $inlet_thresh) || ($out_temp > $outlet_thresh)) {
    $state = "CRITICAL";
}
else {
    $state = "WARNING";
}


print "$state Inlet Temp: $in_temp Outlet Temp: $out_temp\n";
exit($STATUSCODE{$state});




--------------3605BBB6389A2A9A8B2FCFD2--

