%define name netsaint-plugins-custom
%define version 1.2.8
%define release 3

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source0: http://netsaintplug.sourceforge.net/src/netsaint-plugins-%{version}-%{release}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Packager: Karl DeBisschop <kdebisschop@users.sourceforge.net>
Vendor: Netsaint Plugin Development Group
Obsoletes: netsaint-plugins netsaint-plugins-extras
AutoReqProv: no
Summary: Host/service/network monitoring program plugins for NetSaint
Group: Applications/System

%description

NetSaint is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. NetSaint runs on a unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to NetSaint.

This package contains a set of plugins determined by the characteristics
of the build machine.  You may or may not need to use the '--nodeps'
option for rpm, as the full set of plugins can (depending on the build host)
include plugins that depend on non-standard libraries or system calls.


%prep
%setup -q -n netsaint-plugins-%{version}-%{release}


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
--prefix=%{_prefix}/libexec/netsaint/plugins \
--libexecdir=%{_prefix}/libexec/netsaint/plugins \
--with-cgiurl=/netsaint/cgi-bin
make


%install
make INSTALL_OPTS="" DESTDIR=${RPM_BUILD_ROOT} install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(775,root,root)
%dir %{_prefix}/libexec/netsaint/plugins
%{_prefix}/libexec/netsaint/plugins/*
%doc INSTALL README REQUIREMENTS Changelog command.cfg


%changelog
* Thu Jun 22 2000 Karl DeBisschop <karl@debisschop.net>
- Release 1.2.8-3 (bug fixes)
- Add macros to spec where possible

* Fri Jun 16 2000 Karl DeBisschop <karl@debisschop.net>
- Release 1.2.8-2 (bug fixes)

* Fri Jun 09 2000 Karl DeBisschop <karl@debisschop.net>
- Release to 1.2.8

* Wed Jun 07 2000 Karl DeBisschop <karl@debisschop.net>
- Upgrade to 1.2.8pre7
- Create 'custom' spec with undefined build list

* Sun Jun 05 2000 Karl DeBisschop <karl@debisschop.net>
- Split into 2 spec files - core and extra
- Upgrade to 1.2.8pre6
- Remove call out of specific files so build will work with
  some plugin denedencies not installed

* Sat Jun 03 2000 Karl DeBisschop <karl@debisschop.net>
- Upgraded to 1.2.8pre5
- use RPM_OPT_FALGS to set compiler options
- cahnge group to Applications/System

* Fri May 19 2000 Karl DeBisschop <karl@debisschop.net>
- Upgraded to 1.2.8pre3 (release-3)

* Mon Mar 20 2000 Karl DeBisschop <karl@debisschop.net>
- Upgraded to 1.2.8b2

* Tue Dec 14 1999 Adam Jacob <adam@cybertrails.com> (1.2.7-1cvs)
- Upgraded package from 1.2.6 to 1.2.7 from the latest CVS code
- Modified SPEC file to contain the proper build_root stuff. :)

* Tue Oct 19 1999 Mike McHenry <mmchen@minn.net> (1.2.6)
- Upgraded package from 1.2.4 to 1.2.6
- Resolved dependancy issue with libpq.so
- Added support for check_fping

* Fri Sep 03 1999 Mike McHenry <mmchen@minn.net> (1.2.4)
- Upgraded package from 1.2.2 to 1.2.4

* Mon Aug 16 1999 Mike McHenry <mmchen@minn.net> (1.2.2)
- First RPM build (1.2.2)
