%define name netsaint-plugins
%define version 1.2.8
%define release 3

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source0: http://netsaintplug.sourceforge.net/src/%{name}-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}/libexec/netsaint/plugins
Packager: Karl DeBisschop <kdebisschop@users.sourceforge.net>
Vendor: Netsaint Plugin Development Group
Obsoletes: netsaint-plugins-custom
AutoReqProv: no
Summary: Host/service/network monitoring program plugins for NetSaint
Group: Applications/System

%description

NetSaint is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. NetSaint runs on a unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to NetSaint.

This package contains the basic plugins necessary for use with the
NetSaint package.  This package should install cleanly on almost any
RPM-based system.


%package extras
Summary: Plugins which depend on the presence of other packages
Group: Applications/System

%description extras

NetSaint is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. NetSaint runs on a unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to NetSaint.

This package contains plugins which use additional libraries or system
calls that are not installed on all systems.  As a result, most users
will need to install the '--nodeps' option when invoking `rpm`


%prep
%setup -q -n %{name}-%{version}-%{release}


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
--prefix=%{_prefix} \
--libexecdir=%{_prefix}/libexec/netsaint/plugins \
--with-cgiurl=/netsaint/cgi-bin
make all


%install
make INSTALL_OPTS="" DESTDIR=${RPM_BUILD_ROOT} install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(775,root,root)
%dir %{_prefix}/libexec/netsaint/plugins
%{_prefix}/libexec/netsaint/plugins/check_breeze
%{_prefix}/libexec/netsaint/plugins/check_disk
%{_prefix}/libexec/netsaint/plugins/check_disk_smb
%{_prefix}/libexec/netsaint/plugins/check_dns
%{_prefix}/libexec/netsaint/plugins/check_dummy
%{_prefix}/libexec/netsaint/plugins/check_flexlm
%{_prefix}/libexec/netsaint/plugins/check_ftp
%{_prefix}/libexec/netsaint/plugins/check_http
%{_prefix}/libexec/netsaint/plugins/check_imap
%{_prefix}/libexec/netsaint/plugins/check_ircd
%{_prefix}/libexec/netsaint/plugins/check_load
%{_prefix}/libexec/netsaint/plugins/check_log
%{_prefix}/libexec/netsaint/plugins/check_mrtg
%{_prefix}/libexec/netsaint/plugins/check_mrtgtraf
%{_prefix}/libexec/netsaint/plugins/check_netsaint
%{_prefix}/libexec/netsaint/plugins/check_nntp
%{_prefix}/libexec/netsaint/plugins/check_ntp
%{_prefix}/libexec/netsaint/plugins/check_nwstat
%{_prefix}/libexec/netsaint/plugins/check_oracle
%{_prefix}/libexec/netsaint/plugins/check_overcr
%{_prefix}/libexec/netsaint/plugins/check_ping
%{_prefix}/libexec/netsaint/plugins/check_pop
%{_prefix}/libexec/netsaint/plugins/check_procs
%{_prefix}/libexec/netsaint/plugins/check_real
%{_prefix}/libexec/netsaint/plugins/check_reply
%{_prefix}/libexec/netsaint/plugins/check_rpc
%{_prefix}/libexec/netsaint/plugins/check_sensors
%{_prefix}/libexec/netsaint/plugins/check_smtp
%{_prefix}/libexec/netsaint/plugins/check_ssh
%{_prefix}/libexec/netsaint/plugins/check_swap
%{_prefix}/libexec/netsaint/plugins/check_tcp
%{_prefix}/libexec/netsaint/plugins/check_time
%{_prefix}/libexec/netsaint/plugins/check_udp
%{_prefix}/libexec/netsaint/plugins/check_ups
%{_prefix}/libexec/netsaint/plugins/check_users
%{_prefix}/libexec/netsaint/plugins/check_vsz
%{_prefix}/libexec/netsaint/plugins/check_wave
%{_prefix}/libexec/netsaint/plugins/urlize
%doc INSTALL README REQUIREMENTS Changelog command.cfg

%files extras
%defattr(775,root,root)
%{_prefix}/libexec/netsaint/plugins/check_fping
%{_prefix}/libexec/netsaint/plugins/check_ldap
%{_prefix}/libexec/netsaint/plugins/check_mysql
%{_prefix}/libexec/netsaint/plugins/check_pgsql
%{_prefix}/libexec/netsaint/plugins/check_radius
%{_prefix}/libexec/netsaint/plugins/check_by_ssh
%{_prefix}/libexec/netsaint/plugins/check_snmp
%{_prefix}/libexec/netsaint/plugins/check_hpjd

%changelog
* Thu Jun 22 2000 Karl DeBisschop <karl@debisschop.net>
- Release 1.2.8-3 (bug fixes)
- Add macros to spec where possible

* Fri Jun 16 2000 Karl DeBisschop <karl@debisschop.net>
- Release 1.2.8-2 (bug fixes)

* Fri Jun 09 2000 Karl DeBisschop <karl@debisschop.net>
- Release to 1.2.8

* Wed Jun 07 2000 Karl DeBisschop <karl@debisschop.net>
- Upgrade to 1.2.8pre7

* Sat Jun 03 2000 Karl DeBisschop <karl@debisschop.net>
- Upgraded to 1.2.8pre5
- use RPM_OPT_FALGS to set compiler options
- cahneg group to Applications/System

* Fri May 19 2000 Karl DeBisschop <karl@debisschop.net>
- Upgraded to 1.2.8pre3 (release-3)

* Mon Mar 20 2000 Karl DeBisschop <karl@debisschop.net>
- Upgraded to 1.2.8b2

* Tue Dec 14 1999 Adam Jacob <adam@cybertrails.com> (1.2.7-1cvs)
- Upgraded package from 1.2.6 to 1.2.7 from the latest CVS code
- Modified SPEC file to contain the proper build_root stuff. :)

* Tue Oct 19 1999 Mike McHenry <mmchen@minn.net> (1.2.6)
- Upgraded package from 1.2.4 to 1.2.6
- Resolved dependancy issue with libpq.so
- Added support for check_fping

* Fri Sep 03 1999 Mike McHenry <mmchen@minn.net> (1.2.4)
- Upgraded package from 1.2.2 to 1.2.4

* Mon Aug 16 1999 Mike McHenry <mmchen@minn.net> (1.2.2)
- First RPM build (1.2.2)
