#!/bin/sh
#
# latigid010@yahoo.com
# 01/06/2000
#
#  This Netsaint plugin was created to check remote or local TNS
#  status and check local Database status.
#
#  Add the following lines to your netsaint.cfg
#         command[check-tns]=/usr/local/netsaint/libexec/check_ora 1 $ARG$
#         command[check-oradb]=/usr/local/netsaint/libexec/check_ora 2 $ARG$
#
#
# Usage: 
#      To check TNS Status:  ./check_ora 1 <Oracle Sid or Hostname/IP address>
#  To Check local database:  ./check_ora 2 <ORACLE_SID>
#
# I have the script checking for the Oracle PMON process and 
# the sgadefORACLE_SID.dbf file.
# 
#
# If you have any problems check that you have the $ORACLE_HOME
# enviroment variable set, have $ORACLE_HOME/bin in your PATH, and
# dont forget about your tnsnames.ora file.  when checking Local
# Database status your ORACLE_SID is case sensitive.
#

case "$1" in
1)
    cmd='--tns'
    ;;
2)
    cmd='--db'
    ;;
*)
    cmd="$1"
    ;;
esac

case "$cmd" in
--tns)
    export tnschk=` tnsping $2`
    export tnschk2=` echo  $tnschk | grep -c OK`
    export tnschk3=` echo $tnschk | cut -d\( -f7 | sed y/\)/" "/`
    if [ ${tnschk2} -eq 1 ] ; then 
	echo "OK - reply time ${tnschk3} from $2"
	exit 0
    else
	echo "No TNS Listener on $2"
	exit 2
    fi
    ;;
--db)
    export pmonchk=`ps -ef | grep -v grep | grep ${2} | grep -c pmon`
    if [ -e $ORACLE_HOME/dbs/sga*${2}* ] ; then
	if [ ${pmonchk} -eq 1 ] ; then
    export utime=`ls -la $ORACLE_HOME/dbs/sga*$2* | cut -c 43-55`
	    echo "${2} OK - running since ${utime}"
	    exit 0
	fi
    else
	echo "${2} Database is DOWN"
	exit 2
    fi
    ;;
--help)
    echo "This Netsaint plugin was created to check remote or local TNS status and"
    echo "check local Database status."
    echo ""
    echo "Add the following lines to your netsaint.cfg"
    echo "  command[check-tns]=/usr/local/netsaint/libexec/check_ora --tns $ARG$"
    echo "  command[check-oradb]=/usr/local/netsaint/libexec/check_ora --db $ARG$"
    echo ""
    echo "Usage:"
    echo "  To check TNS Status:  ./check_ora --tns <Oracle Sid or Hostname/IP address>"
    echo "  To Check local database:  ./check_ora --db <ORACLE_SID>"
    echo ""
    echo "I have the script checking for the Oracle PMON process and the"
    echo "sgadefORACLE_SID.dbf file."
    echo ""
    echo "If you have any problems check that you have the $ORACLE_HOME enviroment variable"
    echo "set, have $ORACLE_HOME/bin in your PATH, and dont forget about your tnsnames.ora file."
    echo ""
    echo "When checking Local Database status your ORACLE_SID is case sensitive."
    exit 0
    ;;
*)
    echo "Incorrect arguments supplied"
    echo "Usage: $0 --tns <ORACLE_SID / HOSTNAME>"
    echo "       $0 --db <ORACLE_SID / HOSTNAME>"
    echo "       $0 --help"
esac
