#! /bin/sh

PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

cmd=`basename $0`

print_usage() {
	echo "Usage: $cmd"
}

print_revision() {
	REVISION=`echo '$Revision: 1.6 $' | sed 's/[^0-9.]//g'`
	echo "check_sensors $REVISION"
	echo The netsaint plugins come with ABSOLUTELY NO WARRANTY. You may redistribute
	echo copies of the plugins under the terms of the GNU General Public License.
	echo For more information about these matters, see the file named COPYING.
}

print_help() {
	print_revision
	echo ""
	print_usage
	echo ""
	echo "This plugin checks hardware status using the lm_sensors package."
	echo ""
	exit 0
}

case "$1" in
	--help)
		print_help
		exit 0
		;;
	-h)
		print_help
		exit 0
		;;
	--version)
   	print_revision
		exit 0
		;;
	-V)
		print_revision
		exit 0
		;;
	*)
		sensordata=`sensors 2>&1`
		status=$?
		if test "$1" = "-v" -o "$1" = "--verbose"; then
			echo ${sensordata}
		fi
		if test ${status} -eq 127; then
			echo "SENSORS UNKNOWN - command not found (did you install lmsensors?)"
			exit -1
		elif test ${status} -ne 0 ; then
			echo "WARNING - sensors returned state $status"
			exit 1
		fi
		if echo ${sensordata} | egrep ALARM > /dev/null; then
			echo SENSOR CRITICAL - Sensor alarm detected!
			exit 2
		else
			echo sensor ok
			exit 0
		fi
		;;
esac
