/* Last Modified: $Date: 2000/02/05 19:06:46 $ */

#include "../common/config.h"
#include "../common/common.h"
#include "utils.h"
#include <radiusclient.h>

#define STATE_OK 0
#define STATE_WARNING 1
#define STATE_UNKNOWN -1
#define STATE_CRITICAL 2

#define CONFIG_FILE argv[1]
#define USERNAME argv[2]
#define PASSWORD argv[3]
#define TIMEOUT argv[4]
#define RETRIES argv[5]
#define AUTHSERVER argv[6]
#define AUTHPORT argv[7]
#define RESPONSE argv[8]


ENV *env = NULL;


int
main (int argc, char **argv)
{
  UINT4 service;
  char msg[4096];
  SEND_DATA       data={0};
  int             result;

  if (argc != 9){
    print_revision(argv[0],"$Revision: 1.5 $");
    terminate(STATE_UNKNOWN,"Usage: check_radius <path_to_config_file> <username> <password> <timeout_in_seconds> <retries> <auth_server> <auth_port> <response>");
  }

  if (rc_read_config(CONFIG_FILE) ||
      rc_read_dictionary(rc_conf_str("dictionary")))
    terminate(STATE_UNKNOWN,"Config file error");

  service = PW_LOGIN;

  if (!(rc_avpair_add(&data.send_pairs, PW_SERVICE_TYPE, &service, 0) &&
	rc_avpair_add(&data.send_pairs, PW_USER_NAME, USERNAME, 0) &&
	rc_avpair_add(&data.send_pairs, PW_USER_PASSWORD, PASSWORD, 0)))
    terminate(STATE_UNKNOWN,"Out of Memory?");

  rc_buildreq(&data, PW_ACCESS_REQUEST, AUTHSERVER, atoi(AUTHPORT), atoi(TIMEOUT), atoi(RETRIES));
  
  result = rc_send_server(&data, msg);
  rc_avpair_free(data.send_pairs);
  if (data.receive_pairs) rc_avpair_free(data.receive_pairs);

  if (result == TIMEOUT_RC) terminate(STATE_CRITICAL,"Timeout");
  if (result == ERROR_RC) terminate(STATE_CRITICAL,"Auth Error");
  if (result == BADRESP_RC) terminate(STATE_WARNING,"Auth Failed");
  if (!strstr(msg,RESPONSE)) terminate(STATE_WARNING,msg);
  if (result == OK_RC) terminate(STATE_OK,"Success");
  return(0);
}
