#! /usr/bin/perl -w

use strict;
use Helper;
use Cache;
use Test;

BEGIN {plan tests => 8}

my $null = '';
my $str;
my $community=get_option("snmp_community","SNMP community name");

$str = `./check_snmp -H 127.0.0.1 -C $community -o sysUpTime.0`;
ok $?>>8,0;
chomp $str;
ok $str, '/^SNMP OK - \d+\) [\d:\.]+/';

$str = `./check_snmp -H 127.0.0.1 -C $community -o host.hrSWRun.hrSWRunTable.hrSWRunEntry.hrSWRunIndex.1 -w 1:1 -c 1:1`;
ok $?>>8,0;
chomp $str;
ok $str, '/^SNMP OK - 1\s*$/';

$str = `./check_snmp -H 127.0.0.1 -C $community -o host.hrSWRun.hrSWRunTable.hrSWRunEntry.hrSWRunIndex.1 -w 0 -c 1:`;
ok $?>>8,1;
chomp $str;
ok $str, '/^SNMP WARNING - \*1\*\s*$/';

$str = `./check_snmp -H 127.0.0.1 -C $community -o host.hrSWRun.hrSWRunTable.hrSWRunEntry.hrSWRunIndex.1 -w :0 -c 0`;
ok $?>>8,2;
chomp $str;
ok $str, '/^SNMP CRITICAL - \*1\*\s*$/';

#host.hrSWRun.hrSWRunTable.hrSWRunEntry.hrSWRunIndex.1 = 1
#enterprises.ucdavis.memory.memAvailSwap.0
#./check_snmp 127.0.0.1 -C staff -o enterprises.ucdavis.diskTable.dskEntry.dskAvail.1,enterprises.ucdavis.diskTable.dskEntry.dskPercent.1 -w 100000: -c 50000: -l Space on root -u 'bytes free (','% used)'
